package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserObject;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserObjectSearchContext;

/**
 * 实体[UserObject] 服务对象接口
 */

public interface IUserObjectService{
     boolean checkKey(UserObject userObject) ;
     boolean save(UserObject userObject) ;
     boolean create(UserObject userObject) ;
     UserObject getDraft(UserObject userObject) ;
     boolean remove(String userObjectId) ;
     UserObject get(String userObjectId) ;
     UserObject get(UserObject userObject) ;
     boolean update(UserObject userObject) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserObject> searchDefault(UserObjectSearchContext context) ;

}
